<launch>


    <arg name="X" default="0" />
    <arg name="Y" default="0" />
    <arg name="Z" default="0" />
    <arg name="Yaw" default='1.2145745625488966' />  <!-- Yaw =  - (y  / (180/math.pi)) -->
    <arg name="Pitch" default="0" />
    <arg name="Roll" default="0" />
    <arg name="node_name" default="static_transform_publisher_node" />

    <!-- 
          rosrun tf static_transform_publisher  x, y, z, yaw, pitch, roll  
    -->
    <node pkg="tf" type="static_transform_publisher" name="gnss_base_map" 
          args="$(arg X) $(arg Y) $(arg Z) $(arg Yaw) $(arg Pitch) $(arg Roll) /map /gnss  10" />
</launch>